# Show commands as they are run.
set -x
# Exit on error.
set -e

ROOT=$(dirname $(realpath $0))/..

chips=('STM32F301K8' 'STM32F301C8' 'STM32F301R8' 'STM32F301K6' 'STM32F301C6' 'STM32F301R6' 'STM32F302RE' 'STM32F302VE' 'STM32F302ZE' 'STM32F302RD' 'STM32F302VD' 'STM32F302ZD' 'STM32F302CC' 'STM32F302RC' 'STM32F302VC' 'STM32F302CB' 'STM32F302RB' 'STM32F302VB' 'STM32F302K8' 'STM32F302C8' 'STM32F302R8' 'STM32F302K6' 'STM32F302C6' 'STM32F302R6' 'STM32F303RE' 'STM32F303VE' 'STM32F303ZE' 'STM32F303RD' 'STM32F303VD' 'STM32F303ZD' 'STM32F303CC' 'STM32F303RC' 'STM32F303VC' 'STM32F303CB' 'STM32F303RB' 'STM32F303VB' 'STM32F303K8' 'STM32F303C8' 'STM32F303R8' 'STM32F303K6' 'STM32F303C6' 'STM32F303R6' 'STM32F334K8' 'STM32F334C8' 'STM32F334R8' 'STM32F334K6' 'STM32F334C6' 'STM32F334R6' 'STM32F334K4' 'STM32F334C4' 'STM32F373CC' 'STM32F373RC' 'STM32F373VC' 'STM32F373CB' 'STM32F373RB' 'STM32F373VB' 'STM32F373C8' 'STM32F373R8' 'STM32F373V8' 'STM32F398VE' 'STM32F378CC' 'STM32F378RC' 'STM32F378VC' 'STM32F358CC' 'STM32F358RC' 'STM32F358VC' 'STM32F328C8' 'STM32F318K8' 'STM32F318C8')


for c in ${chips[@]}
do
    echo Testing $c...
    builddir=$ROOT/build/chip-$c
    rm -rf $builddir
    mkdir -p $builddir
    meson $builddir --cross-file stm32-meson/stm32f3.build -Dstm32_chip=$c -Dstm32_cube_dir=$stm32_cube_dir
    ninja -C $builddir
done
